loadModVersionInfo()
{
	if (IsDefined(level.modVersionInfo))
		return;

	level.modVersionInfo = SpawnStruct();

	// Open and read mod_version.csv
	filenum = OpenFile("mod_version.csv", "read");
	if (filenum == -1)
	{
		level.modVersionInfo.hasVersion = false;
		return;
	}
	verinfo = StrTok(FReadLn(filenum), ",");
	CloseFile(filenum);

	assert(versionString.size >= 1);
	level.modVersionInfo.hasVersion = true;
	level.modVersionInfo.version = versionString[0];
}

getModVersionString()
{
	loadModVersionInfo();

	if (!IsDefined(level.modVersionInfo.version))
		return "";

	return level.modVersionInfo.version;
}
